SQLFunction (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect.function
Interface SQLFunction

All Known Implementing Classes:
  AbstractAnsiTrimEmulationFunction, AnsiTrimEmulationFunction, AnsiTrimFunction, AvgWithArgumentCastFunction, CastFunction, CharIndexFunction, ClassicAvgFunction, ClassicCountFunction, ClassicSumFunction, ConditionalParenthesisFunction, ConvertFunction, DerbyConcatFunction, NoArgSQLFunction, NvlFunction, PositionSubstringFunction, SQLFunctionTemplate, StandardAnsiSqlAggregationFunctions.AvgFunction, StandardAnsiSqlAggregationFunctions.CountFunction, StandardAnsiSqlAggregationFunctions.MaxFunction, StandardAnsiSqlAggregationFunctions.MinFunction, StandardAnsiSqlAggregationFunctions.SumFunction, StandardJDBCEscapeFunction, StandardSQLFunction, TrimFunctionTemplate, VarArgsSQLFunction

    public interface SQLFunction

Provides support routines for the HQL functions as used in the various SQL Dialects Provides an interface for supporting various HQL functions that are translated to SQL. The Dialect and its sub-classes use this interface to provide details required for processing of the function.

Method Summary
`Type` | `getReturnType(Type firstArgumentType, Mapping mapping)` The return type of the function.
`boolean` | `hasArguments()` Does this function have any arguments?
`boolean` | `hasParenthesesIfNoArguments()` If there are no arguments, are parentheses required?
`String` | `render(Type firstArgumentType, List arguments, SessionFactoryImplementor factory)` Render the function call as SQL fragment.

Method Detail

### hasArguments

    boolean hasArguments()

  Does this function have any arguments?

  Returns:
    True if the function expects to have parameters; false otherwise.

### hasParenthesesIfNoArguments

    boolean hasParenthesesIfNoArguments()

  If there are no arguments, are parentheses required?

  Returns:
    True if a no-arg call of this function requires parentheses.

### getReturnType

    Type getReturnType(Type firstArgumentType,
                       Mapping mapping)
                       throws QueryException

  The return type of the function. May be either a concrete type which is preset, or variable depending upon the type of the first function argument.

  Note, the 'firstArgumentType' parameter should match the one passed into `render(org.hibernate.type.Type, java.util.List, org.hibernate.engine.spi.SessionFactoryImplementor)`

  Parameters:
    `firstArgumentType` - The type of the first argument
    `mapping` - The mapping source.
  Returns:
    The type to be expected as a return.
  Throws:
    `QueryException` - Indicates an issue resolving the return type.

### render

    String render(Type firstArgumentType,
                  List arguments,
                  SessionFactoryImplementor factory)
                  throws QueryException

  Render the function call as SQL fragment.

  Note, the 'firstArgumentType' parameter should match the one passed into `getReturnType(org.hibernate.type.Type, org.hibernate.engine.spi.Mapping)`

  Parameters:
    `firstArgumentType` - The type of the first argument
    `arguments` - The function arguments
    `factory` - The SessionFactory
  Returns:
    The rendered function call
  Throws:
    `QueryException` - Indicates a problem rendering the function call.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.